# pstoedit

PStoEdit translates PostScript and PDF graphics into other vector formats.
Implementing support for other formats should be very easy.
The architecture of pstoedit consists of a PostScript frontend which needs to call a PostScript interpreter like Ghostscript and the individual backends which are pugged into a kind of framework.
This framework can be used independently from the PostScript frontend from any other program.
The framework provides a uniform interface to all different backends.

Currently pstoedit can generate the following formats:
- Tgif .obj format (for tgif version >= 3)
- fig format for xfig
- pdf Adobe Portable Document Format
- gnuplot format
- Flattened PostScript (with or without Bezier curves)
- DXF - CAD exchange format
- LWO - LightWave 3D
- RIB - RenderMan
- RPL - Real3D
- Idraw format (a special format of EPS that Idraw can read)
- Tcl/Tk
- HPGL
- AI - Adobe Illustrator Format (based on ps2ai.ps, not a real pstoedit)
- WMF - Windows Meta Files
- PIC format for troff/groff
- MetaPost format per usage with TeX/LaTeX
- LaTeX2e picture
- Kontour
- GNU Metafile (plotutils/libplot)
- Sketch (http://sketch.sourceforge.net)
- Mathematica
- trough ImageMagick to any format supported by ImageMagick

